searchData={"items":[{"type":"module","title":"ConcurrencyLimiter","doc":"A simple resource pool that limits concurrency up to a number. Processes can wait\nin queue with a timeout.\n\nPowered by Nimble Pool.\n\nProcesses can wait in queue with a timeout.\n\nExamples:\n\n    iex> {:ok, pid} = ConcurrencyLimiter.start_link(max_concurrency: 5)\n    {:ok, pid}\n\n    iex> ConcurrencyLimiter.run(pid, 5000, fn ->\n      # Do some work\n      :ok\n    end)\n    :ok\n\n    # Also accepts a name:\n    iex> {:ok, pid} = ConcurrencyLimiter.start_link(name: MyLimiter, max_concurrency: 5)\n    {:ok, pid}\n\n    iex> ConcurrencyLimiter.run(MyLimiter, 5000, fn ->\n      # Do some work\n      :ok\n    end)\n    :ok\n\n    # Or with a supervisor:\n    iex> Supervisor.start_link([\n      {ConcurrencyLimiter, name: LimiterA, max_concurrency: 5},\n      {ConcurrencyLimiter, name: LimiterB, max_concurrency: 10},\n      {ConcurrencyLimiter, name: LimiterC, max_concurrency: 50}\n    ], strategy: :one_for_one)","ref":"ConcurrencyLimiter.html"},{"type":"function","title":"ConcurrencyLimiter.child_spec/1","doc":"Defines a ConcurrencyLimiter to be started under a supervisor.\n\nAccepts the same options as `start_link/1`, plus:\n\n- `:id` - Optional. Defaults to the value of the `:name` option. If `:name`\nis not present, defaults to `ConcurrencyLimiter`. See `Supervisor`\ndocumentation for more info\n- `:restart` - Optional. See `Supervisor` documentation for more info\n- `:shutdown` - Optional. See `Supervisor` documentation for more info","ref":"ConcurrencyLimiter.html#child_spec/1"},{"type":"function","title":"ConcurrencyLimiter.run!/3","doc":"Run a function with concurrency limited\n\nExits if the ConcurrencyLimiter doesn't exist, or if time out.","ref":"ConcurrencyLimiter.html#run!/3"},{"type":"function","title":"ConcurrencyLimiter.start_link/1","doc":"Starts a concurrency limiter\n\nAccepts two options:\n\n- `:max_concurrency` - Maximum concurrency. Required.\n- `:name` - name of the concurrency limiter","ref":"ConcurrencyLimiter.html#start_link/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}